/invoice/{invoice_id}/submit

Submit an invoice for validation by Defacto (with status TO_SUBMIT or TO_EDIT). If some data is missing prior to validating the invoice, a 422 error will be returned with the list of the missing fields.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required
Body Params
buyer
object | null
string | null
enum
Defaults to null

Currency of the invoice. Use ISO 4217 currency code.

Allowed:
date-time | null
Defaults to null
string | null
Defaults to null

Invoice number as displayed on the invoice

date-time | null
Defaults to null
metadata
object | null

This object is yours, it enables you to add custom data.

integer | null
Defaults to null

Amount before tax, in cents

seller
object | null
integer | null
Defaults to null

Amount of tax, in cents

to_account
object | null

Beneficiary account as mentioned on the invoice. Note that this does not determine the account where the loan payment will be made.That is done separately when calling the POST /loans endpoint.

integer | null
Defaults to null

Remaining amount due by buyer to seller, in cents. Set at 0 for fully paid invoices.

integer | null
Defaults to null

Sum of net amount and tax amount, in cents

Response

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
*/*